summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO30
-rw-r--r--PKGBUILD46
2 files changed, 76 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..53f5383dde8
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,30 @@
+pkgbase = prboom-plus-um-git
+ pkgdesc = An advanced, Vanilla-compatible Doom engine based on PrBoom. Includes support for UMAPINFO
+ pkgver = 2.6um.r99.ge08e728b
+ pkgrel = 1
+ url = https://github.com/coelckers/prboom-plus
+ arch = x86_64
+ arch = i686
+ license = GPL2
+ makedepends = cmake
+ makedepends = git
+ depends = sdl2
+ optdepends = fluidsynth: Midi support
+ optdepends = portmidi: Midi support
+ optdepends = libmad: MP3 support
+ optdepends = libvorbis: Ogg support
+ optdepends = dumb: Tracker support
+ optdepends = sdl2_mixer: Midi support
+ optdepends = sdl2_net: Network play
+ optdepends = sdl2_image: High-res textures and PNG screenshots
+ optdepends = glu: OpenGL rendering
+ optdepends = pcre: Demo file name pattern matching
+ provides = prboom-plus
+ conflicts = prboom-plus-svn
+ conflicts = prboom-plus
+ conflicts = prboom-plus-um
+ source = git+https://github.com/coelckers/prboom-plus.git
+ sha1sums = SKIP
+
+pkgname = prboom-plus-um-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6ee48cf5bc7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+# Maintainer: Caepom <caepom at gmail dot com>
+
+pkgname='prboom-plus-um-git'
+pkgver=2.6um.r99.ge08e728b
+pkgrel=1
+pkgdesc='An advanced, Vanilla-compatible Doom engine based on PrBoom. Includes support for UMAPINFO'
+url='https://github.com/coelckers/prboom-plus'
+arch=('x86_64' 'i686')
+license=('GPL2')
+depends=('sdl2')
+makedepends=('cmake' 'git')
+optdepends=('fluidsynth: Midi support'
+ 'portmidi: Midi support'
+ 'libmad: MP3 support'
+ 'libvorbis: Ogg support'
+ 'dumb: Tracker support'
+ 'sdl2_mixer: Midi support'
+ 'sdl2_net: Network play'
+ 'sdl2_image: High-res textures and PNG screenshots'
+ 'glu: OpenGL rendering'
+ 'pcre: Demo file name pattern matching')
+provides=('prboom-plus')
+conflicts=('prboom-plus-svn' 'prboom-plus' 'prboom-plus-um')
+source=("git+https://github.com/coelckers/prboom-plus.git")
+sha1sums=('SKIP')
+
+pkgver() {
+ cd "prboom-plus"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cmake -B build -S "prboom-plus/prboom2" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -Wno-dev
+ make -C build
+}
+
+package() {
+ make -C build DESTDIR="$pkgdir" install
+}
+